Subject: Re: [PATCH net-next v2] net: Add sysctl to toggle early demux for tcp and udp

From: Subash Abhinov Kasiviswanathan <[email-masked]>
Date: Sat, 18 Mar 2017 20:07:22 -0600

> Less than 1% performance improvement in a benchmark doesn't justify
> the complexity of the patch. Eric's hypothesis was that an unconnected
> UDP socket may show issues because of cache misses in look-ups due to
> so many different sources. This should be fairly easy to benchmark by
> randomly setting source address in your test (IP any and routing my
> need to be set appropriately).
> 

With different source addresses, a larger increase is seen here
(633->654Mbps).